function etat_lr = etat_roe(etat_l,etat_r)
% function etat_lr = etat_roe(etat_l,etat_r)
% Vecteur d'etat interpole entre etat_l et etat_r
% pour la construction de la matrice de Roe (Gaz parfait)

etat_lr(1,:) = (etat_l(1,:)+etat_r(1,:))/2; % volume specifique
etat_lr(2,:) = (etat_l(2,:)+etat_r(2,:))/2; % vitesse
pression = (loi_etat(etat_l)+loi_etat(etat_r))/2;
epsilon = (pression.*etat_lr(1,:))/(gamma-1); % energie interne specifique
etat_lr(3,:) = epsilon + (etat_lr(2,:).^2)/2; % energie totale specifique
