function roe(dm,cfl,tmax,etat)
% function roe(dm,cfl,tmax,etat)
% Schema de Roe en coordonnees lagrangiennes (1D)
% dm = pas d'espace, tmax = temps de simulation,
% etat = (volume specifique; vitesse; energie interne specifique)
% (chaque colonne de etat correspond a une particule elementaire)

t = 0;
while(t < tmax)
    
    cmax = max(c_lag(etat));
    dt = (cfl*dm)/cmax;
    t = t + dt;
    display(['t = ',num2str(t),' / dt = ',num2str(dt)])
    flux_num = flux_roe([etat(:,1),etat],[etat,etat(:,end)]); % Neumann au bord
    etat = etat - (dt/dm)*(flux_num(:,2:end)-flux_num(:,1:end-1));
     
end

figure(2)
plot(dm*(0:size(etat,2)-1),etat(1,:).^(-1))
title('Densite')
figure(3)
plot(dm*(0:size(etat,2)-1),loi_etat(etat))
title('Pression')
figure(4)
plot(dm*(0:size(etat,2)-1),etat(3,:)-((etat(2,:)).^(2))/2)
title('Energie interne')
figure(1)
plot(dm*(0:size(etat,2)-1),etat(2,:))
title('Vitesse')





