function sod_test(cfl,tmax)
% function sod_test(cfl,tmax)
% Cas-test du tube a choc de Sod
% sod_test(0.8,0.5)

etat = [repmat([1.;0.;2.5],1,80),repmat([8.;0.;2.],1,21)];
dm = 0.009;

figure(4)
h = plot(dm*(0:size(etat,2)-1),etat(3,:)-((etat(2,:)).^(2))/2,'.')
title('Energie interne')
axis([0. 0.9 1.6 3.2])
set(h,'EraseMode','xor')

t = 0;
while(t < tmax)
    
    cmax = max(c_lag(etat));
    dt = (cfl*dm)/cmax;
    t = t + dt;
    display(['t = ',num2str(t),' / dt = ',num2str(dt)])
    flux_num = flux_roe([etat(:,1),etat],[etat,etat(:,end)]); % Neumann au bord
    etat = etat - (dt/dm)*(flux_num(:,2:end)-flux_num(:,1:end-1));
    set(h,'YData',etat(3,:)-((etat(2,:)).^(2))/2)
    drawnow
     
end

figure(1)
plot(dm*(0:size(etat,2)-1),etat(2,:),'.')
title('Vitesse')
figure(2)
plot(dm*(0:size(etat,2)-1),etat(1,:).^(-1),'.')
title('Densite')
figure(3)
plot(dm*(0:size(etat,2)-1),loi_etat(etat),'.')
title('Pression')
figure(4)
plot(dm*(0:size(etat,2)-1),etat(3,:)-((etat(2,:)).^(2))/2,'.')
title('Energie interne')
axis([0. 0.9 1.6 3.2])